

<div class="example-container mat-elevation-z8">



	<mat-table #table [dataSource]="dataSource">




		<!-- Name Column -->
		<ng-container matColumnDef="name">
			<mat-header-cell *matHeaderCellDef> Name </mat-header-cell>
			<mat-cell *matCellDef="let element">
				<mat-form-field floatLabel="never">
					<input  [readonly]="!element.editable" matInput placeholder="Name" [value]="element.name" [(ngModel)]="element.name">
				</mat-form-field>
			</mat-cell>
		</ng-container>


		<!-- lastName Column -->
		<ng-container matColumnDef="lastName">
			<mat-header-cell *matHeaderCellDef> Last Name </mat-header-cell>
			<mat-cell *matCellDef="let element">
				<mat-form-field floatLabel="never">
					<input [readonly]="!element.editable" matInput placeholder="Last Name" [value]="element.lastName" [(ngModel)]="element.lastName">
				</mat-form-field>
			</mat-cell>
		</ng-container>

		<!-- birthDate Column -->
		<ng-container class="highlight" matColumnDef="birthDate">
			<mat-header-cell *matHeaderCellDef>Birth Date </mat-header-cell>
			<mat-cell hovered *matCellDef="let element">


                <mat-form-field >
                    <input matInput readonly [matDatepicker]="picker" [(ngModel)]="element.birthDate">
                    <mat-datepicker-toggle  matPrefix [for]="picker"></mat-datepicker-toggle>
                    <mat-datepicker #picker></mat-datepicker>

                  </mat-form-field>


					<button *ngIf="!element.editable && !element.isLast" mat-icon-button matSuffix aria-label="clear" (click)="editClicked(element)">
						<mat-icon>edit</mat-icon>
					</button>
					
				  <button *ngIf="!element.editable && !element.isLast" mat-icon-button matSuffix aria-label="clear" (click)="deleteClicked(element)">
					  <mat-icon>delete</mat-icon>
				  </button>
  
				  

					<button *ngIf="element.editable && !element.isLast" mat-icon-button matSuffix aria-label="clear" (click)="editConfirmed(element)">
						<mat-icon>done</mat-icon>
					</button>
	
					<button   *ngIf="element.editable && !element.isLast" mat-icon-button matSuffix aria-label="clear" (click)="editCanceled(element)" >
						  <mat-icon>close</mat-icon>
					  </button>




					<button    [disabled]="!element.name || !element.lastName || !element.birthDate"  *ngIf="element.isLast" mat-flat-button matSuffix aria-label="clear" color="primary" (click)="addClicked()" >
						Add
					</button>



	

      
      

    
            </mat-cell>


        
        </ng-container>



		<mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
        <mat-row *matRowDef="let row; columns: displayedColumns;"  ></mat-row>
        

	</mat-table>
</div>


<!-- Copyright 2018 Google Inc. All Rights Reserved.
    Use of this source code is governed by an MIT-style license that
    can be found in the LICENSE file at http://angular.io/license -->